# Generated by go2rpm
%bcond_without check
%bcond_without bootstrap

# https://github.com/kubernetes/kubernetes
%global goipath         k8s.io/kubernetes
%global forgeurl        https://github.com/kubernetes/kubernetes
Version:                1.13.7
%global tag             v1.13.7-beta.0
%global distprefix      %{nil}

%gometa

%global goipaths0       k8s.io/kubernetes
%global goipathsex0     k8s.io/kubernetes/pkg/volume/glusterfs k8s.io/kubernetes/pkg/volume/portworx k8s.io/kubernetes/pkg/controller/podautoscaler

%if %{without bootstrap}
%global goipaths1       k8s.io/kubernetes/pkg/volume/glusterfs k8s.io/kubernetes/pkg/volume/portworx k8s.io/kubernetes/pkg/controller/podautoscaler
%endif

%global common_description %{expand:
Kubernetes is an open source system for managing containerized applications
across multiple hosts; providing basic mechanisms for deployment, maintenance,
and scaling of applications.

Kubernetes builds upon a decade and a half of experience at Google running
production workloads at scale using a system called Borg, combined with
best-of-breed ideas and practices from the community.}

%global golicenses      LICENSE
%global godocs          docs CONTRIBUTING.md code-of-conduct.md\\\
                        CHANGELOG-1.13.md CHANGELOG.md README.md SUPPORT.md

Name:           %{goname}
Release:        1.beta.0%{?dist}
Summary:        Production-Grade Container Scheduling and Management

# Upstream license specification: MIT and Apache-2.0 and BSD-3-Clause
License:        MIT and ASL 2.0 and BSD
URL:            %{gourl}
Source0:        %{gosource}
# photon.Client.Status.Get() is deprecated
# https://github.com/vmware/photon-controller-go-sdk/commit/003b6751d69a33214b00bea4226dc98e9cb54826
Patch0:         0001-Remove-deprecated-api.patch
# Newer azure-sdk-for-go has changed API for GetProperties
Patch1:         0001-Fix-for-newer-azure-sdk-for-go.patch
# Newer gophercloud has changed API for Delete
Patch2:         0001-Fix-for-newer-gophercloud.patch
# Fixup gonum.org/v1/gonum/graph API calls
Patch3:         https://github.com/kubernetes/kubernetes/commit/bba9f5e673a7886926086cac94af9e1e20972a72.patch#/0001-Fixup-gonum.org-v1-gonum-graph-API-calls.patch
# Fix to use newer github.com/opencontainers/runc/libcontainer/cgroups
Patch4:         0001-Fix-for-using-with-newer-github.com-opencontainers-r.patch
# To use newer k8s.io/utils
Patch5:         https://github.com/kubernetes/kubernetes/commit/0d4b5c98f81a3e04b18610f983eb1b68e5fa11bf.patch#/0001-Bump-k8s.io-utils-to-8e7ff06.patch
# To use newer github.com/containernetworking/cni
Patch6:         0001-Fix-for-using-with-newer-github.com-containernetworking-cni.patch
# To use with newer keyutil
Patch7:         0001-Extract-new-keyutil-package-from-client-go-util-cert.patch
# fix 'go vet' failures
Patch8:         https://github.com/kubernetes/kubernetes/commit/e29c6e1b383f93a270d125f3226731c41da3dd96.patch#/0001-fix-go-vet-failures.patch
# Fix for newer github.com/prometheus/client_golang
Patch9:         0001-Fix-for-newer-client_golang.patch
# Fix for newer github.com/square/go-jose
Patch10:        0001-Fix-for-using-with-newer-github.com-square-go-jose.patch


BuildRequires:  golang(bitbucket.org/bertimus9/systemstat)
BuildRequires:  golang(bitbucket.org/ww/goautoneg)
BuildRequires:  golang(cloud.google.com/go/compute/metadata)
BuildRequires:  golang(github.com/armon/circbuf)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws/awserr)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws/credentials)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws/credentials/ec2rolecreds)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws/credentials/stscreds)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws/ec2metadata)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws/request)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws/session)
BuildRequires:  golang(github.com/aws/aws-sdk-go/service/autoscaling)
BuildRequires:  golang(github.com/aws/aws-sdk-go/service/ec2)
BuildRequires:  golang(github.com/aws/aws-sdk-go/service/ecr)
BuildRequires:  golang(github.com/aws/aws-sdk-go/service/elb)
BuildRequires:  golang(github.com/aws/aws-sdk-go/service/elbv2)
BuildRequires:  golang(github.com/aws/aws-sdk-go/service/kms)
BuildRequires:  golang(github.com/aws/aws-sdk-go/service/sts)
BuildRequires:  golang(github.com/Azure/azure-sdk-for-go/services/compute/mgmt/2019-03-01/compute)
BuildRequires:  golang(github.com/Azure/azure-sdk-for-go/services/containerregistry/mgmt/2017-10-01/containerregistry)
BuildRequires:  golang(github.com/Azure/azure-sdk-for-go/services/network/mgmt/2017-09-01/network)
BuildRequires:  golang(github.com/Azure/azure-sdk-for-go/services/storage/mgmt/2018-07-01/storage)
BuildRequires:  golang(github.com/Azure/azure-sdk-for-go/storage)
BuildRequires:  golang(github.com/Azure/go-autorest/autorest)
BuildRequires:  golang(github.com/Azure/go-autorest/autorest/adal)
BuildRequires:  golang(github.com/Azure/go-autorest/autorest/azure)
BuildRequires:  golang(github.com/Azure/go-autorest/autorest/to)
BuildRequires:  golang(github.com/blang/semver)
BuildRequires:  golang(github.com/chai2010/gettext-go/gettext)
BuildRequires:  golang(github.com/cloudflare/cfssl/config)
BuildRequires:  golang(github.com/cloudflare/cfssl/helpers)
BuildRequires:  golang(github.com/cloudflare/cfssl/signer)
BuildRequires:  golang(github.com/cloudflare/cfssl/signer/local)
BuildRequires:  golang(github.com/clusterhq/flocker-go)
BuildRequires:  golang(github.com/thecodeteam/goscaleio)
BuildRequires:  golang(github.com/thecodeteam/goscaleio/types/v1)
BuildRequires:  golang(github.com/container-storage-interface/spec/lib/go/csi)
BuildRequires:  golang(github.com/containernetworking/cni/libcni)
BuildRequires:  golang(github.com/containernetworking/cni/pkg/types)
BuildRequires:  golang(github.com/containernetworking/cni/pkg/types/020)
BuildRequires:  golang(github.com/coreos/go-oidc)
BuildRequires:  golang(github.com/coreos/go-semver/semver)
BuildRequires:  golang(github.com/coreos/go-systemd/daemon)
BuildRequires:  golang(github.com/coreos/go-systemd/util)
BuildRequires:  golang(github.com/coreos/pkg/capnslog)
BuildRequires:  golang(github.com/cpuguy83/go-md2man/md2man)
BuildRequires:  golang(github.com/d2g/dhcp4)
BuildRequires:  golang(github.com/d2g/dhcp4client)
BuildRequires:  golang(github.com/davecgh/go-spew/spew)
BuildRequires:  golang(github.com/daviddengcn/go-colortext)
BuildRequires:  golang(github.com/dgrijalva/jwt-go)
BuildRequires:  golang(github.com/docker/distribution/reference)
BuildRequires:  golang(github.com/docker/docker/api/types)
BuildRequires:  golang(github.com/docker/docker/api/types/container)
BuildRequires:  golang(github.com/docker/docker/api/types/filters)
BuildRequires:  golang(github.com/docker/docker/api/types/image)
BuildRequires:  golang(github.com/docker/docker/api/types/strslice)
BuildRequires:  golang(github.com/docker/docker/client)
BuildRequires:  golang(github.com/docker/docker/daemon/logger/jsonfilelog/jsonlog)
BuildRequires:  golang(github.com/docker/docker/pkg/jsonmessage)
BuildRequires:  golang(github.com/docker/docker/pkg/stdcopy)
BuildRequires:  golang(github.com/docker/docker/pkg/term)
BuildRequires:  golang(github.com/docker/go-connections/nat)
BuildRequires:  golang(github.com/docker/go-units)
BuildRequires:  golang(github.com/docker/libnetwork/ipvs)
BuildRequires:  golang(github.com/docker/spdystream)
BuildRequires:  golang(github.com/elazarl/go-bindata-assetfs)
BuildRequires:  golang(github.com/elazarl/goproxy)
BuildRequires:  golang(github.com/emicklei/go-restful)
BuildRequires:  golang(github.com/emicklei/go-restful-swagger12)
BuildRequires:  golang(github.com/evanphx/json-patch)
BuildRequires:  golang(github.com/exponent-io/jsonpath)
BuildRequires:  golang(github.com/fatih/camelcase)
BuildRequires:  golang(github.com/fsnotify/fsnotify)
BuildRequires:  golang(github.com/go-openapi/spec)
BuildRequires:  golang(github.com/go-openapi/strfmt)
BuildRequires:  golang(github.com/go-openapi/validate)
BuildRequires:  golang(github.com/godbus/dbus)
BuildRequires:  golang(github.com/gogo/protobuf/gogoproto)
BuildRequires:  golang(github.com/gogo/protobuf/proto)
BuildRequires:  golang(github.com/gogo/protobuf/sortkeys)
BuildRequires:  golang(github.com/gogo/protobuf/vanity/command)
BuildRequires:  golang(github.com/golang/groupcache/lru)
BuildRequires:  golang(github.com/golang/mock/gomock)
BuildRequires:  golang(github.com/golang/protobuf/proto)
BuildRequires:  golang(github.com/golang/protobuf/ptypes/wrappers)
BuildRequires:  golang(github.com/google/cadvisor/cache/memory)
BuildRequires:  golang(github.com/google/cadvisor/client/v2)
BuildRequires:  golang(github.com/google/cadvisor/container)
BuildRequires:  golang(github.com/google/cadvisor/container/common)
BuildRequires:  golang(github.com/google/cadvisor/container/containerd)
BuildRequires:  golang(github.com/google/cadvisor/container/docker)
BuildRequires:  golang(github.com/google/cadvisor/container/raw)
BuildRequires:  golang(github.com/google/cadvisor/events)
BuildRequires:  golang(github.com/google/cadvisor/fs)
BuildRequires:  golang(github.com/google/cadvisor/info/v1)
BuildRequires:  golang(github.com/google/cadvisor/info/v2)
BuildRequires:  golang(github.com/google/cadvisor/machine)
BuildRequires:  golang(github.com/google/cadvisor/manager)
BuildRequires:  golang(github.com/google/cadvisor/metrics)
BuildRequires:  golang(github.com/google/cadvisor/storage)
BuildRequires:  golang(github.com/google/cadvisor/utils/sysfs)
BuildRequires:  golang(github.com/google/gofuzz)
BuildRequires:  golang(github.com/googleapis/gnostic/compiler)
BuildRequires:  golang(github.com/googleapis/gnostic/OpenAPIv2)
BuildRequires:  golang(github.com/gophercloud/gophercloud)
BuildRequires:  golang(github.com/gophercloud/gophercloud/openstack)
BuildRequires:  golang(github.com/gophercloud/gophercloud/openstack/blockstorage/extensions/volumeactions)
BuildRequires:  golang(github.com/gophercloud/gophercloud/openstack/blockstorage/v1/volumes)
BuildRequires:  golang(github.com/gophercloud/gophercloud/openstack/blockstorage/v2/volumes)
BuildRequires:  golang(github.com/gophercloud/gophercloud/openstack/blockstorage/v3/volumes)
BuildRequires:  golang(github.com/gophercloud/gophercloud/openstack/compute/v2/extensions/attachinterfaces)
BuildRequires:  golang(github.com/gophercloud/gophercloud/openstack/compute/v2/extensions/volumeattach)
BuildRequires:  golang(github.com/gophercloud/gophercloud/openstack/compute/v2/servers)
BuildRequires:  golang(github.com/gophercloud/gophercloud/openstack/identity/v3/extensions/trusts)
BuildRequires:  golang(github.com/gophercloud/gophercloud/openstack/identity/v3/tokens)
BuildRequires:  golang(github.com/gophercloud/gophercloud/openstack/networking/v2/extensions)
BuildRequires:  golang(github.com/gophercloud/gophercloud/openstack/networking/v2/extensions/external)
BuildRequires:  golang(github.com/gophercloud/gophercloud/openstack/networking/v2/extensions/layer3/floatingips)
BuildRequires:  golang(github.com/gophercloud/gophercloud/openstack/networking/v2/extensions/layer3/routers)
BuildRequires:  golang(github.com/gophercloud/gophercloud/openstack/networking/v2/extensions/lbaas_v2/listeners)
BuildRequires:  golang(github.com/gophercloud/gophercloud/openstack/networking/v2/extensions/lbaas_v2/loadbalancers)
BuildRequires:  golang(github.com/gophercloud/gophercloud/openstack/networking/v2/extensions/lbaas_v2/monitors)
BuildRequires:  golang(github.com/gophercloud/gophercloud/openstack/networking/v2/extensions/lbaas_v2/pools)
BuildRequires:  golang(github.com/gophercloud/gophercloud/openstack/networking/v2/extensions/security/groups)
BuildRequires:  golang(github.com/gophercloud/gophercloud/openstack/networking/v2/extensions/security/rules)
BuildRequires:  golang(github.com/gophercloud/gophercloud/openstack/networking/v2/networks)
BuildRequires:  golang(github.com/gophercloud/gophercloud/openstack/networking/v2/ports)
BuildRequires:  golang(github.com/gophercloud/gophercloud/pagination)
BuildRequires:  golang(github.com/gregjones/httpcache)
BuildRequires:  golang(github.com/gregjones/httpcache/diskcache)
BuildRequires:  golang(github.com/grpc-ecosystem/go-grpc-prometheus)
BuildRequires:  golang(github.com/hashicorp/golang-lru)
# pkg/volume/glusterfs
%if %{without bootstrap}
BuildRequires:  golang(github.com/heketi/heketi/client/api/go-client)
BuildRequires:  golang(github.com/heketi/heketi/pkg/glusterfs/api)
%endif
BuildRequires:  golang(github.com/imdario/mergo)
BuildRequires:  golang(github.com/jonboulle/clockwork)
BuildRequires:  golang(github.com/json-iterator/go)
BuildRequires:  golang(github.com/kardianos/osext)
BuildRequires:  golang(github.com/kr/fs)
BuildRequires:  golang(github.com/kr/pretty)
# pkg/volume/portworx
%if %{without bootstrap}
BuildRequires:  golang(github.com/libopenstorage/openstorage/api)
BuildRequires:  golang(github.com/libopenstorage/openstorage/api/client)
BuildRequires:  golang(github.com/libopenstorage/openstorage/api/client/volume)
BuildRequires:  golang(github.com/libopenstorage/openstorage/api/spec)
BuildRequires:  golang(github.com/libopenstorage/openstorage/volume)
%endif
BuildRequires:  golang(github.com/MakeNowJust/heredoc)
BuildRequires:  golang(github.com/mholt/caddy/caddyfile)
BuildRequires:  golang(github.com/miekg/dns)
BuildRequires:  golang(github.com/mitchellh/go-wordwrap)
BuildRequires:  golang(github.com/mitchellh/mapstructure)
BuildRequires:  golang(github.com/modern-go/reflect2)
BuildRequires:  golang(github.com/mvdan/xurls)
BuildRequires:  golang(github.com/mxk/go-flowrate/flowrate)
BuildRequires:  golang(github.com/onsi/ginkgo)
BuildRequires:  golang(github.com/onsi/ginkgo/config)
BuildRequires:  golang(github.com/onsi/ginkgo/reporters)
BuildRequires:  golang(github.com/onsi/gomega)
BuildRequires:  golang(github.com/onsi/gomega/gstruct)
BuildRequires:  golang(github.com/onsi/gomega/types)
BuildRequires:  golang(github.com/opencontainers/go-digest)
BuildRequires:  golang(github.com/opencontainers/runc/libcontainer/cgroups)
BuildRequires:  golang(github.com/opencontainers/runc/libcontainer/cgroups/fs)
BuildRequires:  golang(github.com/opencontainers/runc/libcontainer/cgroups/systemd)
BuildRequires:  golang(github.com/opencontainers/runc/libcontainer/configs)
BuildRequires:  golang(github.com/opencontainers/runc/libcontainer/utils)
BuildRequires:  golang(github.com/opencontainers/selinux/go-selinux)
BuildRequires:  golang(github.com/pborman/uuid)
BuildRequires:  golang(github.com/peterbourgon/diskv)
BuildRequires:  golang(github.com/pkg/errors)
BuildRequires:  golang(github.com/pmezard/go-difflib/difflib)
BuildRequires:  golang(github.com/prometheus/client_golang/prometheus)
BuildRequires:  golang(github.com/prometheus/client_golang/prometheus/promhttp)
BuildRequires:  golang(github.com/prometheus/client_model/go)
BuildRequires:  golang(github.com/prometheus/common/expfmt)
BuildRequires:  golang(github.com/prometheus/common/model)
BuildRequires:  golang(github.com/PuerkitoBio/purell)
BuildRequires:  golang(github.com/quobyte/api)
BuildRequires:  golang(github.com/rancher/go-rancher/client)
BuildRequires:  golang(github.com/renstrom/dedent)
BuildRequires:  golang(github.com/robfig/cron)
BuildRequires:  golang(github.com/rubiojr/go-vhd/vhd)
BuildRequires:  golang(gopkg.in/russross/blackfriday.v1)
BuildRequires:  golang(github.com/sigma/go-inotify)
BuildRequires:  golang(github.com/spf13/afero)
BuildRequires:  golang(github.com/spf13/cobra)
BuildRequires:  golang(github.com/spf13/cobra/doc)
BuildRequires:  golang(github.com/spf13/pflag)
BuildRequires:  golang(github.com/spf13/viper)
BuildRequires:  golang(github.com/storageos/go-api)
BuildRequires:  golang(github.com/storageos/go-api/types)
BuildRequires:  golang(github.com/stretchr/testify/assert)
BuildRequires:  golang(github.com/stretchr/testify/mock)
BuildRequires:  golang(github.com/stretchr/testify/require)
BuildRequires:  golang(github.com/thecodeteam/goscaleio)
BuildRequires:  golang(github.com/thecodeteam/goscaleio/types/v1)
BuildRequires:  golang(github.com/vishvananda/netlink)
BuildRequires:  golang(github.com/vmware/govmomi)
BuildRequires:  golang(github.com/vmware/govmomi/find)
BuildRequires:  golang(github.com/vmware/govmomi/object)
BuildRequires:  golang(github.com/vmware/govmomi/pbm)
BuildRequires:  golang(github.com/vmware/govmomi/pbm/types)
BuildRequires:  golang(github.com/vmware/govmomi/property)
BuildRequires:  golang(github.com/vmware/govmomi/session)
BuildRequires:  golang(github.com/vmware/govmomi/sts)
BuildRequires:  golang(github.com/vmware/govmomi/vapi/rest)
BuildRequires:  golang(github.com/vmware/govmomi/vapi/tags)
BuildRequires:  golang(github.com/vmware/govmomi/vim25)
BuildRequires:  golang(github.com/vmware/govmomi/vim25/mo)
BuildRequires:  golang(github.com/vmware/govmomi/vim25/soap)
BuildRequires:  golang(github.com/vmware/govmomi/vim25/types)
BuildRequires:  golang(github.com/vmware/photon-controller-go-sdk/photon)
BuildRequires:  golang(github.com/xanzy/go-cloudstack/cloudstack)
BuildRequires:  golang(golang.org/x/crypto/cryptobyte)
BuildRequires:  golang(golang.org/x/crypto/nacl/secretbox)
BuildRequires:  golang(golang.org/x/crypto/pkcs12)
BuildRequires:  golang(golang.org/x/crypto/ssh)
BuildRequires:  golang(golang.org/x/crypto/ssh/terminal)
BuildRequires:  golang(golang.org/x/net/context)
BuildRequires:  golang(golang.org/x/net/html)
BuildRequires:  golang(golang.org/x/net/html/atom)
BuildRequires:  golang(golang.org/x/net/http2)
BuildRequires:  golang(golang.org/x/net/websocket)
BuildRequires:  golang(golang.org/x/oauth2)
BuildRequires:  golang(golang.org/x/oauth2/google)
BuildRequires:  golang(golang.org/x/sys/unix)
BuildRequires:  golang(golang.org/x/text/encoding/unicode)
BuildRequires:  golang(golang.org/x/text/transform)
BuildRequires:  golang(golang.org/x/time/rate)
BuildRequires:  golang(golang.org/x/tools/benchmark/parse)
BuildRequires:  golang(golang.org/x/tools/container/intsets)
BuildRequires:  golang(golang.org/x/tools/go/vcs)
BuildRequires:  golang(gonum.org/v1/gonum/graph)
BuildRequires:  golang(gonum.org/v1/gonum/graph/encoding)
BuildRequires:  golang(gonum.org/v1/gonum/graph/encoding/dot)
BuildRequires:  golang(gonum.org/v1/gonum/graph/simple)
BuildRequires:  golang(google.golang.org/api/compute/v0.alpha)
BuildRequires:  golang(google.golang.org/api/compute/v0.beta)
BuildRequires:  golang(google.golang.org/api/compute/v1)
BuildRequires:  golang(google.golang.org/api/container/v1)
BuildRequires:  golang(google.golang.org/api/googleapi)
BuildRequires:  golang(google.golang.org/api/logging/v2beta1)
BuildRequires:  golang(google.golang.org/api/monitoring/v3)
BuildRequires:  golang(google.golang.org/api/pubsub/v1)
BuildRequires:  golang(google.golang.org/api/tpu/v1)
BuildRequires:  golang(google.golang.org/grpc)
BuildRequires:  golang(google.golang.org/grpc/codes)
BuildRequires:  golang(google.golang.org/grpc/status)
BuildRequires:  golang(gopkg.in/gcfg.v1)
BuildRequires:  golang(gopkg.in/inf.v0)
BuildRequires:  golang(gopkg.in/natefinch/lumberjack.v2)
BuildRequires:  golang(gopkg.in/square/go-jose.v2)
BuildRequires:  golang(gopkg.in/square/go-jose.v2/jwt)
BuildRequires:  golang(gopkg.in/yaml.v2)
BuildRequires:  golang(go.etcd.io/etcd/client)
BuildRequires:  golang(go.etcd.io/etcd/clientv3)
BuildRequires:  golang(go.etcd.io/etcd/clientv3/concurrency)
BuildRequires:  golang(go.etcd.io/etcd/etcdserver)
BuildRequires:  golang(go.etcd.io/etcd/etcdserver/api/etcdhttp)
BuildRequires:  golang(go.etcd.io/etcd/etcdserver/api/v2http)
BuildRequires:  golang(go.etcd.io/etcd/etcdserver/api/v3rpc/rpctypes)
BuildRequires:  golang(go.etcd.io/etcd/etcdserver/etcdserverpb)
BuildRequires:  golang(go.etcd.io/etcd/etcdserver/membership)
BuildRequires:  golang(go.etcd.io/etcd/integration)
BuildRequires:  golang(go.etcd.io/etcd/mvcc/backend)
BuildRequires:  golang(go.etcd.io/etcd/mvcc/mvccpb)
BuildRequires:  golang(go.etcd.io/etcd/pkg/crc)
BuildRequires:  golang(go.etcd.io/etcd/pkg/pbutil)
BuildRequires:  golang(go.etcd.io/etcd/pkg/testutil)
BuildRequires:  golang(go.etcd.io/etcd/pkg/transport)
BuildRequires:  golang(go.etcd.io/etcd/pkg/types)
BuildRequires:  golang(go.etcd.io/etcd/raft)
BuildRequires:  golang(go.etcd.io/etcd/raft/raftpb)
BuildRequires:  golang(go.etcd.io/etcd/snap)
BuildRequires:  golang(go.etcd.io/etcd/store)
BuildRequires:  golang(go.etcd.io/etcd/wal)
BuildRequires:  golang(go.etcd.io/etcd/wal/walpb)
BuildRequires:  golang(k8s.io/api/admission/v1beta1)
BuildRequires:  golang(k8s.io/api/admissionregistration/v1alpha1)
BuildRequires:  golang(k8s.io/api/admissionregistration/v1beta1)
BuildRequires:  golang(k8s.io/api/apps/v1)
BuildRequires:  golang(k8s.io/api/apps/v1beta1)
BuildRequires:  golang(k8s.io/api/apps/v1beta2)
BuildRequires:  golang(k8s.io/api/auditregistration/v1alpha1)
BuildRequires:  golang(k8s.io/api/authentication/v1)
BuildRequires:  golang(k8s.io/api/authentication/v1beta1)
BuildRequires:  golang(k8s.io/api/authorization/v1)
BuildRequires:  golang(k8s.io/api/authorization/v1beta1)
BuildRequires:  golang(k8s.io/api/autoscaling/v1)
BuildRequires:  golang(k8s.io/api/autoscaling/v2beta1)
BuildRequires:  golang(k8s.io/api/autoscaling/v2beta2)
BuildRequires:  golang(k8s.io/api/batch/v1)
BuildRequires:  golang(k8s.io/api/batch/v1beta1)
BuildRequires:  golang(k8s.io/api/batch/v2alpha1)
BuildRequires:  golang(k8s.io/api/certificates/v1beta1)
BuildRequires:  golang(k8s.io/api/coordination/v1beta1)
BuildRequires:  golang(k8s.io/api/core/v1)
BuildRequires:  golang(k8s.io/api/events/v1beta1)
BuildRequires:  golang(k8s.io/api/extensions/v1beta1)
BuildRequires:  golang(k8s.io/api/imagepolicy/v1alpha1)
BuildRequires:  golang(k8s.io/api/networking/v1)
BuildRequires:  golang(k8s.io/api/policy/v1beta1)
BuildRequires:  golang(k8s.io/api/rbac/v1)
BuildRequires:  golang(k8s.io/api/rbac/v1alpha1)
BuildRequires:  golang(k8s.io/api/rbac/v1beta1)
BuildRequires:  golang(k8s.io/api/scheduling/v1alpha1)
BuildRequires:  golang(k8s.io/api/scheduling/v1beta1)
BuildRequires:  golang(k8s.io/api/settings/v1alpha1)
BuildRequires:  golang(k8s.io/api/storage/v1)
BuildRequires:  golang(k8s.io/api/storage/v1alpha1)
BuildRequires:  golang(k8s.io/api/storage/v1beta1)
# BuildRequires:  golang(k8s.io/apiextensions-apiserver/examples/client-go/pkg/apis/cr)
# BuildRequires:  golang(k8s.io/apiextensions-apiserver/examples/client-go/pkg/apis/cr/v1)
# BuildRequires:  golang(k8s.io/apiextensions-apiserver/examples/client-go/pkg/client/clientset/versioned)
# BuildRequires:  golang(k8s.io/apiextensions-apiserver/examples/client-go/pkg/client/clientset/versioned/scheme)
# BuildRequires:  golang(k8s.io/apiextensions-apiserver/examples/client-go/pkg/client/clientset/versioned/typed/cr/v1)
# BuildRequires:  golang(k8s.io/apiextensions-apiserver/examples/client-go/pkg/client/clientset/versioned/typed/cr/v1/fake)
# BuildRequires:  golang(k8s.io/apiextensions-apiserver/examples/client-go/pkg/client/informers/externalversions/cr)
# BuildRequires:  golang(k8s.io/apiextensions-apiserver/examples/client-go/pkg/client/informers/externalversions/cr/v1)
# BuildRequires:  golang(k8s.io/apiextensions-apiserver/examples/client-go/pkg/client/informers/externalversions/internalinterfaces)
# BuildRequires:  golang(k8s.io/apiextensions-apiserver/examples/client-go/pkg/client/listers/cr/v1)
BuildRequires:  golang(k8s.io/apiextensions-apiserver/pkg/apis/apiextensions)
BuildRequires:  golang(k8s.io/apiextensions-apiserver/pkg/apis/apiextensions/install)
BuildRequires:  golang(k8s.io/apiextensions-apiserver/pkg/apis/apiextensions/v1beta1)
BuildRequires:  golang(k8s.io/apiextensions-apiserver/pkg/apis/apiextensions/validation)
BuildRequires:  golang(k8s.io/apiextensions-apiserver/pkg/apiserver)
BuildRequires:  golang(k8s.io/apiextensions-apiserver/pkg/apiserver/conversion)
BuildRequires:  golang(k8s.io/apiextensions-apiserver/pkg/apiserver/validation)
BuildRequires:  golang(k8s.io/apiextensions-apiserver/pkg/client/clientset/clientset)
BuildRequires:  golang(k8s.io/apiextensions-apiserver/pkg/client/clientset/clientset/scheme)
BuildRequires:  golang(k8s.io/apiextensions-apiserver/pkg/client/clientset/clientset/typed/apiextensions/v1beta1)
BuildRequires:  golang(k8s.io/apiextensions-apiserver/pkg/client/clientset/clientset/typed/apiextensions/v1beta1/fake)
BuildRequires:  golang(k8s.io/apiextensions-apiserver/pkg/client/clientset/internalclientset)
BuildRequires:  golang(k8s.io/apiextensions-apiserver/pkg/client/clientset/internalclientset/scheme)
BuildRequires:  golang(k8s.io/apiextensions-apiserver/pkg/client/clientset/internalclientset/typed/apiextensions/internalversion)
BuildRequires:  golang(k8s.io/apiextensions-apiserver/pkg/client/clientset/internalclientset/typed/apiextensions/internalversion/fake)
BuildRequires:  golang(k8s.io/apiextensions-apiserver/pkg/client/informers/externalversions)
BuildRequires:  golang(k8s.io/apiextensions-apiserver/pkg/client/informers/externalversions/apiextensions)
BuildRequires:  golang(k8s.io/apiextensions-apiserver/pkg/client/informers/externalversions/apiextensions/v1beta1)
BuildRequires:  golang(k8s.io/apiextensions-apiserver/pkg/client/informers/externalversions/internalinterfaces)
BuildRequires:  golang(k8s.io/apiextensions-apiserver/pkg/client/informers/internalversion)
BuildRequires:  golang(k8s.io/apiextensions-apiserver/pkg/client/informers/internalversion/apiextensions)
BuildRequires:  golang(k8s.io/apiextensions-apiserver/pkg/client/informers/internalversion/apiextensions/internalversion)
BuildRequires:  golang(k8s.io/apiextensions-apiserver/pkg/client/informers/internalversion/internalinterfaces)
BuildRequires:  golang(k8s.io/apiextensions-apiserver/pkg/client/listers/apiextensions/internalversion)
BuildRequires:  golang(k8s.io/apiextensions-apiserver/pkg/client/listers/apiextensions/v1beta1)
BuildRequires:  golang(k8s.io/apiextensions-apiserver/pkg/cmd/server)
BuildRequires:  golang(k8s.io/apiextensions-apiserver/pkg/cmd/server/options)
BuildRequires:  golang(k8s.io/apiextensions-apiserver/pkg/cmd/server/testing)
BuildRequires:  golang(k8s.io/apiextensions-apiserver/pkg/controller/establish)
BuildRequires:  golang(k8s.io/apiextensions-apiserver/pkg/controller/finalizer)
BuildRequires:  golang(k8s.io/apiextensions-apiserver/pkg/controller/status)
BuildRequires:  golang(k8s.io/apiextensions-apiserver/pkg/crdserverscheme)
BuildRequires:  golang(k8s.io/apiextensions-apiserver/pkg/features)
BuildRequires:  golang(k8s.io/apiextensions-apiserver/pkg/registry/customresource)
BuildRequires:  golang(k8s.io/apiextensions-apiserver/pkg/registry/customresource/tableconvertor)
BuildRequires:  golang(k8s.io/apiextensions-apiserver/pkg/registry/customresourcedefinition)
BuildRequires:  golang(k8s.io/apiextensions-apiserver/test/integration)
BuildRequires:  golang(k8s.io/apiextensions-apiserver/test/integration/fixtures)
BuildRequires:  golang(k8s.io/apimachinery/pkg/api/apitesting)
BuildRequires:  golang(k8s.io/apimachinery/pkg/api/apitesting/fuzzer)
BuildRequires:  golang(k8s.io/apimachinery/pkg/api/equality)
BuildRequires:  golang(k8s.io/apimachinery/pkg/api/errors)
BuildRequires:  golang(k8s.io/apimachinery/pkg/api/meta)
BuildRequires:  golang(k8s.io/apimachinery/pkg/api/meta/table)
BuildRequires:  golang(k8s.io/apimachinery/pkg/api/meta/testrestmapper)
BuildRequires:  golang(k8s.io/apimachinery/pkg/api/resource)
BuildRequires:  golang(k8s.io/apimachinery/pkg/api/validation)
BuildRequires:  golang(k8s.io/apimachinery/pkg/api/validation/path)
BuildRequires:  golang(k8s.io/apimachinery/pkg/apis/config)
BuildRequires:  golang(k8s.io/apimachinery/pkg/apis/config/v1alpha1)
BuildRequires:  golang(k8s.io/apimachinery/pkg/apis/config/validation)
BuildRequires:  golang(k8s.io/apimachinery/pkg/apis/meta/fuzzer)
BuildRequires:  golang(k8s.io/apimachinery/pkg/apis/meta/internalversion)
BuildRequires:  golang(k8s.io/apimachinery/pkg/apis/meta/v1)
BuildRequires:  golang(k8s.io/apimachinery/pkg/apis/meta/v1/unstructured)
BuildRequires:  golang(k8s.io/apimachinery/pkg/apis/meta/v1/unstructured/unstructuredscheme)
BuildRequires:  golang(k8s.io/apimachinery/pkg/apis/meta/v1/validation)
BuildRequires:  golang(k8s.io/apimachinery/pkg/apis/meta/v1beta1)
BuildRequires:  golang(k8s.io/apimachinery/pkg/apis/testapigroup)
BuildRequires:  golang(k8s.io/apimachinery/pkg/apis/testapigroup/v1)
BuildRequires:  golang(k8s.io/apimachinery/pkg/conversion)
BuildRequires:  golang(k8s.io/apimachinery/pkg/conversion/queryparams)
BuildRequires:  golang(k8s.io/apimachinery/pkg/fields)
BuildRequires:  golang(k8s.io/apimachinery/pkg/labels)
BuildRequires:  golang(k8s.io/apimachinery/pkg/runtime)
BuildRequires:  golang(k8s.io/apimachinery/pkg/runtime/schema)
BuildRequires:  golang(k8s.io/apimachinery/pkg/runtime/serializer)
BuildRequires:  golang(k8s.io/apimachinery/pkg/runtime/serializer/json)
BuildRequires:  golang(k8s.io/apimachinery/pkg/runtime/serializer/protobuf)
BuildRequires:  golang(k8s.io/apimachinery/pkg/runtime/serializer/recognizer)
BuildRequires:  golang(k8s.io/apimachinery/pkg/runtime/serializer/streaming)
BuildRequires:  golang(k8s.io/apimachinery/pkg/runtime/serializer/versioning)
BuildRequires:  golang(k8s.io/apimachinery/pkg/selection)
BuildRequires:  golang(k8s.io/apimachinery/pkg/types)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/cache)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/clock)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/diff)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/duration)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/errors)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/framer)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/httpstream)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/httpstream/spdy)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/initialization)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/intstr)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/json)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/jsonmergepatch)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/mergepatch)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/naming)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/net)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/proxy)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/rand)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/remotecommand)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/runtime)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/sets)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/strategicpatch)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/uuid)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/validation)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/validation/field)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/version)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/wait)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/waitgroup)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/yaml)
BuildRequires:  golang(k8s.io/apimachinery/pkg/version)
BuildRequires:  golang(k8s.io/apimachinery/pkg/watch)
BuildRequires:  golang(k8s.io/apimachinery/third_party/forked/golang/json)
BuildRequires:  golang(k8s.io/apimachinery/third_party/forked/golang/netutil)
BuildRequires:  golang(k8s.io/apimachinery/third_party/forked/golang/reflect)
BuildRequires:  golang(k8s.io/apiserver/pkg/admission)
BuildRequires:  golang(k8s.io/apiserver/pkg/admission/configuration)
BuildRequires:  golang(k8s.io/apiserver/pkg/admission/initializer)
BuildRequires:  golang(k8s.io/apiserver/pkg/admission/metrics)
BuildRequires:  golang(k8s.io/apiserver/pkg/admission/plugin/initialization)
BuildRequires:  golang(k8s.io/apiserver/pkg/admission/plugin/namespace/lifecycle)
BuildRequires:  golang(k8s.io/apiserver/pkg/admission/plugin/webhook/config)
BuildRequires:  golang(k8s.io/apiserver/pkg/admission/plugin/webhook/config/apis/webhookadmission)
BuildRequires:  golang(k8s.io/apiserver/pkg/admission/plugin/webhook/config/apis/webhookadmission/v1alpha1)
BuildRequires:  golang(k8s.io/apiserver/pkg/admission/plugin/webhook/errors)
BuildRequires:  golang(k8s.io/apiserver/pkg/admission/plugin/webhook/generic)
BuildRequires:  golang(k8s.io/apiserver/pkg/admission/plugin/webhook/initializer)
BuildRequires:  golang(k8s.io/apiserver/pkg/admission/plugin/webhook/mutating)
BuildRequires:  golang(k8s.io/apiserver/pkg/admission/plugin/webhook/namespace)
BuildRequires:  golang(k8s.io/apiserver/pkg/admission/plugin/webhook/request)
BuildRequires:  golang(k8s.io/apiserver/pkg/admission/plugin/webhook/rules)
BuildRequires:  golang(k8s.io/apiserver/pkg/admission/plugin/webhook/testcerts)
BuildRequires:  golang(k8s.io/apiserver/pkg/admission/plugin/webhook/util)
BuildRequires:  golang(k8s.io/apiserver/pkg/admission/plugin/webhook/validating)
BuildRequires:  golang(k8s.io/apiserver/pkg/apis/apiserver)
BuildRequires:  golang(k8s.io/apiserver/pkg/apis/apiserver/install)
BuildRequires:  golang(k8s.io/apiserver/pkg/apis/apiserver/v1alpha1)
BuildRequires:  golang(k8s.io/apiserver/pkg/apis/audit)
BuildRequires:  golang(k8s.io/apiserver/pkg/apis/audit/install)
BuildRequires:  golang(k8s.io/apiserver/pkg/apis/audit/v1)
BuildRequires:  golang(k8s.io/apiserver/pkg/apis/audit/v1alpha1)
BuildRequires:  golang(k8s.io/apiserver/pkg/apis/audit/v1beta1)
BuildRequires:  golang(k8s.io/apiserver/pkg/apis/audit/validation)
BuildRequires:  golang(k8s.io/apiserver/pkg/apis/config)
BuildRequires:  golang(k8s.io/apiserver/pkg/apis/config/v1)
BuildRequires:  golang(k8s.io/apiserver/pkg/apis/config/v1alpha1)
BuildRequires:  golang(k8s.io/apiserver/pkg/apis/config/validation)
# BuildRequires:  golang(k8s.io/apiserver/pkg/apis/example)
# BuildRequires:  golang(k8s.io/apiserver/pkg/apis/example/v1)
# BuildRequires:  golang(k8s.io/apiserver/pkg/apis/example2/v1)
BuildRequires:  golang(k8s.io/apiserver/pkg/audit)
BuildRequires:  golang(k8s.io/apiserver/pkg/audit/event)
BuildRequires:  golang(k8s.io/apiserver/pkg/audit/policy)
BuildRequires:  golang(k8s.io/apiserver/pkg/audit/util)
BuildRequires:  golang(k8s.io/apiserver/pkg/authentication/authenticator)
BuildRequires:  golang(k8s.io/apiserver/pkg/authentication/authenticatorfactory)
BuildRequires:  golang(k8s.io/apiserver/pkg/authentication/group)
BuildRequires:  golang(k8s.io/apiserver/pkg/authentication/request/anonymous)
BuildRequires:  golang(k8s.io/apiserver/pkg/authentication/request/bearertoken)
BuildRequires:  golang(k8s.io/apiserver/pkg/authentication/request/headerrequest)
BuildRequires:  golang(k8s.io/apiserver/pkg/authentication/request/union)
BuildRequires:  golang(k8s.io/apiserver/pkg/authentication/request/websocket)
BuildRequires:  golang(k8s.io/apiserver/pkg/authentication/request/x509)
BuildRequires:  golang(k8s.io/apiserver/pkg/authentication/serviceaccount)
BuildRequires:  golang(k8s.io/apiserver/pkg/authentication/token/cache)
BuildRequires:  golang(k8s.io/apiserver/pkg/authentication/token/tokenfile)
BuildRequires:  golang(k8s.io/apiserver/pkg/authentication/token/union)
BuildRequires:  golang(k8s.io/apiserver/pkg/authentication/user)
BuildRequires:  golang(k8s.io/apiserver/pkg/authorization/authorizer)
BuildRequires:  golang(k8s.io/apiserver/pkg/authorization/authorizerfactory)
BuildRequires:  golang(k8s.io/apiserver/pkg/authorization/path)
BuildRequires:  golang(k8s.io/apiserver/pkg/authorization/union)
BuildRequires:  golang(k8s.io/apiserver/pkg/endpoints)
BuildRequires:  golang(k8s.io/apiserver/pkg/endpoints/discovery)
BuildRequires:  golang(k8s.io/apiserver/pkg/endpoints/filters)
BuildRequires:  golang(k8s.io/apiserver/pkg/endpoints/handlers)
BuildRequires:  golang(k8s.io/apiserver/pkg/endpoints/handlers/negotiation)
BuildRequires:  golang(k8s.io/apiserver/pkg/endpoints/handlers/responsewriters)
BuildRequires:  golang(k8s.io/apiserver/pkg/endpoints/metrics)
BuildRequires:  golang(k8s.io/apiserver/pkg/endpoints/openapi)
BuildRequires:  golang(k8s.io/apiserver/pkg/endpoints/request)
BuildRequires:  golang(k8s.io/apiserver/pkg/features)
BuildRequires:  golang(k8s.io/apiserver/pkg/registry/generic)
BuildRequires:  golang(k8s.io/apiserver/pkg/registry/generic/registry)
BuildRequires:  golang(k8s.io/apiserver/pkg/registry/generic/rest)
BuildRequires:  golang(k8s.io/apiserver/pkg/registry/rest)
BuildRequires:  golang(k8s.io/apiserver/pkg/registry/rest/resttest)
BuildRequires:  golang(k8s.io/apiserver/pkg/server)
BuildRequires:  golang(k8s.io/apiserver/pkg/server/filters)
BuildRequires:  golang(k8s.io/apiserver/pkg/server/healthz)
BuildRequires:  golang(k8s.io/apiserver/pkg/server/httplog)
BuildRequires:  golang(k8s.io/apiserver/pkg/server/mux)
BuildRequires:  golang(k8s.io/apiserver/pkg/server/options)
BuildRequires:  golang(k8s.io/apiserver/pkg/server/options/encryptionconfig)
BuildRequires:  golang(k8s.io/apiserver/pkg/server/resourceconfig)
BuildRequires:  golang(k8s.io/apiserver/pkg/server/routes)
BuildRequires:  golang(k8s.io/apiserver/pkg/server/routes/data/swagger)
BuildRequires:  golang(k8s.io/apiserver/pkg/server/storage)
BuildRequires:  golang(k8s.io/apiserver/pkg/storage)
BuildRequires:  golang(k8s.io/apiserver/pkg/storage/cacher)
BuildRequires:  golang(k8s.io/apiserver/pkg/storage/errors)
BuildRequires:  golang(k8s.io/apiserver/pkg/storage/etcd)
BuildRequires:  golang(k8s.io/apiserver/pkg/storage/etcd/etcdtest)
BuildRequires:  golang(k8s.io/apiserver/pkg/storage/etcd/metrics)
BuildRequires:  golang(k8s.io/apiserver/pkg/storage/etcd/testing)
BuildRequires:  golang(k8s.io/apiserver/pkg/storage/etcd/testing/testingcert)
BuildRequires:  golang(k8s.io/apiserver/pkg/storage/etcd/util)
BuildRequires:  golang(k8s.io/apiserver/pkg/storage/etcd3)
BuildRequires:  golang(k8s.io/apiserver/pkg/storage/etcd3/preflight)
BuildRequires:  golang(k8s.io/apiserver/pkg/storage/names)
BuildRequires:  golang(k8s.io/apiserver/pkg/storage/storagebackend)
BuildRequires:  golang(k8s.io/apiserver/pkg/storage/storagebackend/factory)
BuildRequires:  golang(k8s.io/apiserver/pkg/storage/testing)
BuildRequires:  golang(k8s.io/apiserver/pkg/storage/value)
BuildRequires:  golang(k8s.io/apiserver/pkg/storage/value/encrypt/aes)
BuildRequires:  golang(k8s.io/apiserver/pkg/storage/value/encrypt/envelope)
BuildRequires:  golang(k8s.io/apiserver/pkg/storage/value/encrypt/envelope/v1beta1)
BuildRequires:  golang(k8s.io/apiserver/pkg/storage/value/encrypt/identity)
BuildRequires:  golang(k8s.io/apiserver/pkg/storage/value/encrypt/secretbox)
BuildRequires:  golang(k8s.io/apiserver/pkg/util/dryrun)
BuildRequires:  golang(k8s.io/apiserver/pkg/util/feature)
BuildRequires:  golang(k8s.io/apiserver/pkg/util/feature/testing)
BuildRequires:  golang(k8s.io/apiserver/pkg/util/flag)
BuildRequires:  golang(k8s.io/apiserver/pkg/util/flushwriter)
BuildRequires:  golang(k8s.io/apiserver/pkg/util/globalflag)
BuildRequires:  golang(k8s.io/apiserver/pkg/util/logs)
BuildRequires:  golang(k8s.io/apiserver/pkg/util/openapi)
BuildRequires:  golang(k8s.io/apiserver/pkg/util/proxy)
BuildRequires:  golang(k8s.io/apiserver/pkg/util/trace)
BuildRequires:  golang(k8s.io/apiserver/pkg/util/webhook)
BuildRequires:  golang(k8s.io/apiserver/pkg/util/wsstream)
BuildRequires:  golang(k8s.io/apiserver/plugin/pkg/audit/buffered)
BuildRequires:  golang(k8s.io/apiserver/plugin/pkg/audit/dynamic)
BuildRequires:  golang(k8s.io/apiserver/plugin/pkg/audit/dynamic/enforced)
BuildRequires:  golang(k8s.io/apiserver/plugin/pkg/audit/log)
BuildRequires:  golang(k8s.io/apiserver/plugin/pkg/audit/truncate)
BuildRequires:  golang(k8s.io/apiserver/plugin/pkg/audit/webhook)
BuildRequires:  golang(k8s.io/apiserver/plugin/pkg/authenticator/password/passwordfile)
BuildRequires:  golang(k8s.io/apiserver/plugin/pkg/authenticator/request/basicauth)
BuildRequires:  golang(k8s.io/apiserver/plugin/pkg/authenticator/token/oidc)
BuildRequires:  golang(k8s.io/apiserver/plugin/pkg/authenticator/token/webhook)
BuildRequires:  golang(k8s.io/apiserver/plugin/pkg/authorizer/webhook)
BuildRequires:  golang(k8s.io/cli-runtime/pkg/genericclioptions)
BuildRequires:  golang(k8s.io/cli-runtime/pkg/genericclioptions/printers)
BuildRequires:  golang(k8s.io/cli-runtime/pkg/genericclioptions/resource)
BuildRequires:  golang(k8s.io/client-go/discovery)
BuildRequires:  golang(k8s.io/client-go/discovery/cached)
BuildRequires:  golang(k8s.io/client-go/discovery/fake)
BuildRequires:  golang(k8s.io/client-go/dynamic)
BuildRequires:  golang(k8s.io/client-go/dynamic/dynamiclister)
BuildRequires:  golang(k8s.io/client-go/dynamic/fake)
BuildRequires:  golang(k8s.io/client-go/informers)
BuildRequires:  golang(k8s.io/client-go/informers/admissionregistration)
BuildRequires:  golang(k8s.io/client-go/informers/admissionregistration/v1alpha1)
BuildRequires:  golang(k8s.io/client-go/informers/admissionregistration/v1beta1)
BuildRequires:  golang(k8s.io/client-go/informers/apps)
BuildRequires:  golang(k8s.io/client-go/informers/apps/v1)
BuildRequires:  golang(k8s.io/client-go/informers/apps/v1beta1)
BuildRequires:  golang(k8s.io/client-go/informers/apps/v1beta2)
BuildRequires:  golang(k8s.io/client-go/informers/auditregistration)
BuildRequires:  golang(k8s.io/client-go/informers/auditregistration/v1alpha1)
BuildRequires:  golang(k8s.io/client-go/informers/autoscaling)
BuildRequires:  golang(k8s.io/client-go/informers/autoscaling/v1)
BuildRequires:  golang(k8s.io/client-go/informers/autoscaling/v2beta1)
BuildRequires:  golang(k8s.io/client-go/informers/autoscaling/v2beta2)
BuildRequires:  golang(k8s.io/client-go/informers/batch)
BuildRequires:  golang(k8s.io/client-go/informers/batch/v1)
BuildRequires:  golang(k8s.io/client-go/informers/batch/v1beta1)
BuildRequires:  golang(k8s.io/client-go/informers/batch/v2alpha1)
BuildRequires:  golang(k8s.io/client-go/informers/certificates)
BuildRequires:  golang(k8s.io/client-go/informers/certificates/v1beta1)
BuildRequires:  golang(k8s.io/client-go/informers/coordination)
BuildRequires:  golang(k8s.io/client-go/informers/coordination/v1beta1)
BuildRequires:  golang(k8s.io/client-go/informers/core)
BuildRequires:  golang(k8s.io/client-go/informers/core/v1)
BuildRequires:  golang(k8s.io/client-go/informers/events)
BuildRequires:  golang(k8s.io/client-go/informers/events/v1beta1)
BuildRequires:  golang(k8s.io/client-go/informers/extensions)
BuildRequires:  golang(k8s.io/client-go/informers/extensions/v1beta1)
BuildRequires:  golang(k8s.io/client-go/informers/internalinterfaces)
BuildRequires:  golang(k8s.io/client-go/informers/networking)
BuildRequires:  golang(k8s.io/client-go/informers/networking/v1)
BuildRequires:  golang(k8s.io/client-go/informers/policy)
BuildRequires:  golang(k8s.io/client-go/informers/policy/v1beta1)
BuildRequires:  golang(k8s.io/client-go/informers/rbac)
BuildRequires:  golang(k8s.io/client-go/informers/rbac/v1)
BuildRequires:  golang(k8s.io/client-go/informers/rbac/v1alpha1)
BuildRequires:  golang(k8s.io/client-go/informers/rbac/v1beta1)
BuildRequires:  golang(k8s.io/client-go/informers/scheduling)
BuildRequires:  golang(k8s.io/client-go/informers/scheduling/v1alpha1)
BuildRequires:  golang(k8s.io/client-go/informers/scheduling/v1beta1)
BuildRequires:  golang(k8s.io/client-go/informers/settings)
BuildRequires:  golang(k8s.io/client-go/informers/settings/v1alpha1)
BuildRequires:  golang(k8s.io/client-go/informers/storage)
BuildRequires:  golang(k8s.io/client-go/informers/storage/v1)
BuildRequires:  golang(k8s.io/client-go/informers/storage/v1alpha1)
BuildRequires:  golang(k8s.io/client-go/informers/storage/v1beta1)
BuildRequires:  golang(k8s.io/client-go/kubernetes)
BuildRequires:  golang(k8s.io/client-go/kubernetes/fake)
BuildRequires:  golang(k8s.io/client-go/kubernetes/scheme)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/admissionregistration/v1alpha1)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/admissionregistration/v1alpha1/fake)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/admissionregistration/v1beta1)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/admissionregistration/v1beta1/fake)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/apps/v1)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/apps/v1/fake)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/apps/v1beta1)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/apps/v1beta1/fake)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/apps/v1beta2)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/apps/v1beta2/fake)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/auditregistration/v1alpha1)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/auditregistration/v1alpha1/fake)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/authentication/v1)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/authentication/v1/fake)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/authentication/v1beta1)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/authentication/v1beta1/fake)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/authorization/v1)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/authorization/v1/fake)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/authorization/v1beta1)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/authorization/v1beta1/fake)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/autoscaling/v1)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/autoscaling/v1/fake)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/autoscaling/v2beta1)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/autoscaling/v2beta1/fake)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/autoscaling/v2beta2)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/autoscaling/v2beta2/fake)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/batch/v1)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/batch/v1/fake)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/batch/v1beta1)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/batch/v1beta1/fake)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/batch/v2alpha1)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/batch/v2alpha1/fake)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/certificates/v1beta1)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/certificates/v1beta1/fake)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/coordination/v1beta1)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/coordination/v1beta1/fake)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/core/v1)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/core/v1/fake)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/events/v1beta1)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/events/v1beta1/fake)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/extensions/v1beta1)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/extensions/v1beta1/fake)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/networking/v1)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/networking/v1/fake)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/policy/v1beta1)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/policy/v1beta1/fake)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/rbac/v1)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/rbac/v1/fake)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/rbac/v1alpha1)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/rbac/v1alpha1/fake)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/rbac/v1beta1)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/rbac/v1beta1/fake)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/scheduling/v1alpha1)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/scheduling/v1alpha1/fake)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/scheduling/v1beta1)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/scheduling/v1beta1/fake)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/settings/v1alpha1)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/settings/v1alpha1/fake)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/storage/v1)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/storage/v1/fake)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/storage/v1alpha1)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/storage/v1alpha1/fake)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/storage/v1beta1)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/storage/v1beta1/fake)
BuildRequires:  golang(k8s.io/client-go/listers/admissionregistration/v1alpha1)
BuildRequires:  golang(k8s.io/client-go/listers/admissionregistration/v1beta1)
BuildRequires:  golang(k8s.io/client-go/listers/apps/v1)
BuildRequires:  golang(k8s.io/client-go/listers/apps/v1beta1)
BuildRequires:  golang(k8s.io/client-go/listers/apps/v1beta2)
BuildRequires:  golang(k8s.io/client-go/listers/auditregistration/v1alpha1)
BuildRequires:  golang(k8s.io/client-go/listers/autoscaling/v1)
BuildRequires:  golang(k8s.io/client-go/listers/autoscaling/v2beta1)
BuildRequires:  golang(k8s.io/client-go/listers/autoscaling/v2beta2)
BuildRequires:  golang(k8s.io/client-go/listers/batch/v1)
BuildRequires:  golang(k8s.io/client-go/listers/batch/v1beta1)
BuildRequires:  golang(k8s.io/client-go/listers/batch/v2alpha1)
BuildRequires:  golang(k8s.io/client-go/listers/certificates/v1beta1)
BuildRequires:  golang(k8s.io/client-go/listers/coordination/v1beta1)
BuildRequires:  golang(k8s.io/client-go/listers/core/v1)
BuildRequires:  golang(k8s.io/client-go/listers/events/v1beta1)
BuildRequires:  golang(k8s.io/client-go/listers/extensions/v1beta1)
BuildRequires:  golang(k8s.io/client-go/listers/networking/v1)
BuildRequires:  golang(k8s.io/client-go/listers/policy/v1beta1)
BuildRequires:  golang(k8s.io/client-go/listers/rbac/v1)
BuildRequires:  golang(k8s.io/client-go/listers/rbac/v1alpha1)
BuildRequires:  golang(k8s.io/client-go/listers/rbac/v1beta1)
BuildRequires:  golang(k8s.io/client-go/listers/scheduling/v1alpha1)
BuildRequires:  golang(k8s.io/client-go/listers/scheduling/v1beta1)
BuildRequires:  golang(k8s.io/client-go/listers/settings/v1alpha1)
BuildRequires:  golang(k8s.io/client-go/listers/storage/v1)
BuildRequires:  golang(k8s.io/client-go/listers/storage/v1alpha1)
BuildRequires:  golang(k8s.io/client-go/listers/storage/v1beta1)
BuildRequires:  golang(k8s.io/client-go/pkg/apis/clientauthentication)
BuildRequires:  golang(k8s.io/client-go/pkg/apis/clientauthentication/v1alpha1)
BuildRequires:  golang(k8s.io/client-go/pkg/apis/clientauthentication/v1beta1)
BuildRequires:  golang(k8s.io/client-go/pkg/version)
BuildRequires:  golang(k8s.io/client-go/plugin/pkg/client/auth)
BuildRequires:  golang(k8s.io/client-go/plugin/pkg/client/auth/azure)
BuildRequires:  golang(k8s.io/client-go/plugin/pkg/client/auth/exec)
BuildRequires:  golang(k8s.io/client-go/plugin/pkg/client/auth/gcp)
BuildRequires:  golang(k8s.io/client-go/plugin/pkg/client/auth/oidc)
BuildRequires:  golang(k8s.io/client-go/plugin/pkg/client/auth/openstack)
BuildRequires:  golang(k8s.io/client-go/rest)
BuildRequires:  golang(k8s.io/client-go/rest/fake)
BuildRequires:  golang(k8s.io/client-go/rest/watch)
BuildRequires:  golang(k8s.io/client-go/restmapper)
BuildRequires:  golang(k8s.io/client-go/scale)
BuildRequires:  golang(k8s.io/client-go/scale/scheme)
BuildRequires:  golang(k8s.io/client-go/scale/scheme/appsint)
BuildRequires:  golang(k8s.io/client-go/scale/scheme/appsv1beta1)
BuildRequires:  golang(k8s.io/client-go/scale/scheme/appsv1beta2)
BuildRequires:  golang(k8s.io/client-go/scale/scheme/autoscalingv1)
BuildRequires:  golang(k8s.io/client-go/scale/scheme/extensionsint)
BuildRequires:  golang(k8s.io/client-go/scale/scheme/extensionsv1beta1)
BuildRequires:  golang(k8s.io/client-go/testing)
BuildRequires:  golang(k8s.io/client-go/third_party/forked/golang/template)
BuildRequires:  golang(k8s.io/client-go/tools/auth)
BuildRequires:  golang(k8s.io/client-go/tools/cache)
BuildRequires:  golang(k8s.io/client-go/tools/clientcmd)
BuildRequires:  golang(k8s.io/client-go/tools/clientcmd/api)
BuildRequires:  golang(k8s.io/client-go/tools/clientcmd/api/latest)
BuildRequires:  golang(k8s.io/client-go/tools/clientcmd/api/v1)
BuildRequires:  golang(k8s.io/client-go/tools/leaderelection)
BuildRequires:  golang(k8s.io/client-go/tools/leaderelection/resourcelock)
BuildRequires:  golang(k8s.io/client-go/tools/metrics)
BuildRequires:  golang(k8s.io/client-go/tools/pager)
BuildRequires:  golang(k8s.io/client-go/tools/portforward)
BuildRequires:  golang(k8s.io/client-go/tools/record)
BuildRequires:  golang(k8s.io/client-go/tools/reference)
BuildRequires:  golang(k8s.io/client-go/tools/remotecommand)
BuildRequires:  golang(k8s.io/client-go/tools/watch)
BuildRequires:  golang(k8s.io/client-go/transport)
BuildRequires:  golang(k8s.io/client-go/transport/spdy)
BuildRequires:  golang(k8s.io/client-go/util/buffer)
BuildRequires:  golang(k8s.io/client-go/util/cert)
BuildRequires:  golang(k8s.io/client-go/util/certificate)
BuildRequires:  golang(k8s.io/client-go/util/certificate/csr)
BuildRequires:  golang(k8s.io/client-go/util/connrotation)
BuildRequires:  golang(k8s.io/client-go/util/exec)
BuildRequires:  golang(k8s.io/client-go/util/flowcontrol)
BuildRequires:  golang(k8s.io/client-go/util/homedir)
BuildRequires:  golang(k8s.io/client-go/util/integer)
BuildRequires:  golang(k8s.io/client-go/util/jsonpath)
BuildRequires:  golang(k8s.io/client-go/util/retry)
BuildRequires:  golang(k8s.io/client-go/util/testing)
BuildRequires:  golang(k8s.io/client-go/util/workqueue)
BuildRequires:  golang(k8s.io/cloud-provider)
BuildRequires:  golang(k8s.io/cluster-bootstrap/token/api)
BuildRequires:  golang(k8s.io/cluster-bootstrap/token/util)
BuildRequires:  golang(k8s.io/code-generator/cmd/client-gen/args)
BuildRequires:  golang(k8s.io/code-generator/cmd/client-gen/generators)
BuildRequires:  golang(k8s.io/code-generator/cmd/client-gen/generators/fake)
BuildRequires:  golang(k8s.io/code-generator/cmd/client-gen/generators/scheme)
BuildRequires:  golang(k8s.io/code-generator/cmd/client-gen/generators/util)
BuildRequires:  golang(k8s.io/code-generator/cmd/client-gen/path)
BuildRequires:  golang(k8s.io/code-generator/cmd/client-gen/types)
BuildRequires:  golang(k8s.io/code-generator/cmd/conversion-gen/args)
BuildRequires:  golang(k8s.io/code-generator/cmd/conversion-gen/generators)
BuildRequires:  golang(k8s.io/code-generator/cmd/deepcopy-gen/args)
BuildRequires:  golang(k8s.io/code-generator/cmd/defaulter-gen/args)
BuildRequires:  golang(k8s.io/code-generator/cmd/go-to-protobuf/protobuf)
BuildRequires:  golang(k8s.io/code-generator/cmd/informer-gen/args)
BuildRequires:  golang(k8s.io/code-generator/cmd/informer-gen/generators)
BuildRequires:  golang(k8s.io/code-generator/cmd/lister-gen/args)
BuildRequires:  golang(k8s.io/code-generator/cmd/lister-gen/generators)
BuildRequires:  golang(k8s.io/code-generator/cmd/register-gen/args)
BuildRequires:  golang(k8s.io/code-generator/cmd/register-gen/generators)
BuildRequires:  golang(k8s.io/code-generator/pkg/util)
BuildRequires:  golang(k8s.io/code-generator/third_party/forked/golang/reflect)
BuildRequires:  golang(k8s.io/csi-api/pkg/apis/csi/v1alpha1)
BuildRequires:  golang(k8s.io/csi-api/pkg/client/clientset/versioned)
BuildRequires:  golang(k8s.io/csi-api/pkg/client/clientset/versioned/scheme)
BuildRequires:  golang(k8s.io/csi-api/pkg/client/clientset/versioned/typed/csi/v1alpha1)
BuildRequires:  golang(k8s.io/csi-api/pkg/client/clientset/versioned/typed/csi/v1alpha1/fake)
BuildRequires:  golang(k8s.io/csi-api/pkg/client/informers/externalversions)
BuildRequires:  golang(k8s.io/csi-api/pkg/client/informers/externalversions/csi)
BuildRequires:  golang(k8s.io/csi-api/pkg/client/informers/externalversions/csi/v1alpha1)
BuildRequires:  golang(k8s.io/csi-api/pkg/client/informers/externalversions/internalinterfaces)
BuildRequires:  golang(k8s.io/csi-api/pkg/client/listers/csi/v1alpha1)
BuildRequires:  golang(k8s.io/gengo/args)
# BuildRequires:  golang(k8s.io/gengo/examples/deepcopy-gen/generators)
# BuildRequires:  golang(k8s.io/gengo/examples/defaulter-gen/generators)
# BuildRequires:  golang(k8s.io/gengo/examples/import-boss/generators)
# BuildRequires:  golang(k8s.io/gengo/examples/set-gen/generators)
BuildRequires:  golang(k8s.io/gengo/generator)
BuildRequires:  golang(k8s.io/gengo/namer)
BuildRequires:  golang(k8s.io/gengo/parser)
BuildRequires:  golang(k8s.io/gengo/types)
# pkg/controller/podautoscaler
%if %{without bootstrap}
BuildRequires:  golang(k8s.io/heapster/metrics/api/v1/types)
%endif
BuildRequires:  golang(k8s.io/klog)
BuildRequires:  golang(k8s.io/kube-aggregator/pkg/apis/apiregistration)
BuildRequires:  golang(k8s.io/kube-aggregator/pkg/apis/apiregistration/install)
BuildRequires:  golang(k8s.io/kube-aggregator/pkg/apis/apiregistration/v1)
BuildRequires:  golang(k8s.io/kube-aggregator/pkg/apis/apiregistration/v1beta1)
BuildRequires:  golang(k8s.io/kube-aggregator/pkg/apis/apiregistration/validation)
BuildRequires:  golang(k8s.io/kube-aggregator/pkg/apiserver)
BuildRequires:  golang(k8s.io/kube-aggregator/pkg/apiserver/scheme)
BuildRequires:  golang(k8s.io/kube-aggregator/pkg/client/clientset_generated/clientset)
BuildRequires:  golang(k8s.io/kube-aggregator/pkg/client/clientset_generated/clientset/scheme)
BuildRequires:  golang(k8s.io/kube-aggregator/pkg/client/clientset_generated/clientset/typed/apiregistration/v1)
BuildRequires:  golang(k8s.io/kube-aggregator/pkg/client/clientset_generated/clientset/typed/apiregistration/v1/fake)
BuildRequires:  golang(k8s.io/kube-aggregator/pkg/client/clientset_generated/clientset/typed/apiregistration/v1beta1)
BuildRequires:  golang(k8s.io/kube-aggregator/pkg/client/clientset_generated/clientset/typed/apiregistration/v1beta1/fake)
BuildRequires:  golang(k8s.io/kube-aggregator/pkg/client/clientset_generated/internalclientset)
BuildRequires:  golang(k8s.io/kube-aggregator/pkg/client/clientset_generated/internalclientset/scheme)
BuildRequires:  golang(k8s.io/kube-aggregator/pkg/client/clientset_generated/internalclientset/typed/apiregistration/internalversion)
BuildRequires:  golang(k8s.io/kube-aggregator/pkg/client/clientset_generated/internalclientset/typed/apiregistration/internalversion/fake)
BuildRequires:  golang(k8s.io/kube-aggregator/pkg/client/informers/externalversions/apiregistration)
BuildRequires:  golang(k8s.io/kube-aggregator/pkg/client/informers/externalversions/apiregistration/v1)
BuildRequires:  golang(k8s.io/kube-aggregator/pkg/client/informers/externalversions/apiregistration/v1beta1)
BuildRequires:  golang(k8s.io/kube-aggregator/pkg/client/informers/externalversions/internalinterfaces)
BuildRequires:  golang(k8s.io/kube-aggregator/pkg/client/informers/internalversion)
BuildRequires:  golang(k8s.io/kube-aggregator/pkg/client/informers/internalversion/apiregistration)
BuildRequires:  golang(k8s.io/kube-aggregator/pkg/client/informers/internalversion/apiregistration/internalversion)
BuildRequires:  golang(k8s.io/kube-aggregator/pkg/client/informers/internalversion/internalinterfaces)
BuildRequires:  golang(k8s.io/kube-aggregator/pkg/client/listers/apiregistration/internalversion)
BuildRequires:  golang(k8s.io/kube-aggregator/pkg/client/listers/apiregistration/v1)
BuildRequires:  golang(k8s.io/kube-aggregator/pkg/client/listers/apiregistration/v1beta1)
BuildRequires:  golang(k8s.io/kube-aggregator/pkg/cmd/server)
BuildRequires:  golang(k8s.io/kube-aggregator/pkg/controllers)
BuildRequires:  golang(k8s.io/kube-aggregator/pkg/controllers/autoregister)
BuildRequires:  golang(k8s.io/kube-aggregator/pkg/controllers/openapi)
BuildRequires:  golang(k8s.io/kube-aggregator/pkg/controllers/status)
BuildRequires:  golang(k8s.io/kube-aggregator/pkg/registry/apiservice)
BuildRequires:  golang(k8s.io/kube-aggregator/pkg/registry/apiservice/etcd)
BuildRequires:  golang(k8s.io/kube-aggregator/pkg/registry/apiservice/rest)
BuildRequires:  golang(k8s.io/kube-controller-manager/config/v1alpha1)
BuildRequires:  golang(k8s.io/kube-openapi/pkg/aggregator)
BuildRequires:  golang(k8s.io/kube-openapi/pkg/builder)
BuildRequires:  golang(k8s.io/kube-openapi/pkg/common)
BuildRequires:  golang(k8s.io/kube-openapi/pkg/handler)
BuildRequires:  golang(k8s.io/kube-openapi/pkg/util)
BuildRequires:  golang(k8s.io/kube-openapi/pkg/util/proto)
BuildRequires:  golang(k8s.io/kube-openapi/pkg/util/proto/testing)
BuildRequires:  golang(k8s.io/kube-openapi/pkg/util/proto/validation)
BuildRequires:  golang(k8s.io/kube-proxy/config/v1alpha1)
BuildRequires:  golang(k8s.io/kube-scheduler/config/v1alpha1)
BuildRequires:  golang(k8s.io/kubelet/config/v1beta1)
BuildRequires:  golang(k8s.io/metrics/pkg/apis/custom_metrics)
BuildRequires:  golang(k8s.io/metrics/pkg/apis/custom_metrics/v1beta1)
BuildRequires:  golang(k8s.io/metrics/pkg/apis/custom_metrics/v1beta2)
BuildRequires:  golang(k8s.io/metrics/pkg/apis/external_metrics)
BuildRequires:  golang(k8s.io/metrics/pkg/apis/external_metrics/v1beta1)
BuildRequires:  golang(k8s.io/metrics/pkg/apis/metrics)
BuildRequires:  golang(k8s.io/metrics/pkg/apis/metrics/v1alpha1)
BuildRequires:  golang(k8s.io/metrics/pkg/apis/metrics/v1beta1)
BuildRequires:  golang(k8s.io/metrics/pkg/client/clientset/versioned)
BuildRequires:  golang(k8s.io/metrics/pkg/client/clientset/versioned/scheme)
BuildRequires:  golang(k8s.io/metrics/pkg/client/clientset/versioned/typed/metrics/v1alpha1)
BuildRequires:  golang(k8s.io/metrics/pkg/client/clientset/versioned/typed/metrics/v1alpha1/fake)
BuildRequires:  golang(k8s.io/metrics/pkg/client/clientset/versioned/typed/metrics/v1beta1)
BuildRequires:  golang(k8s.io/metrics/pkg/client/clientset/versioned/typed/metrics/v1beta1/fake)
BuildRequires:  golang(k8s.io/metrics/pkg/client/custom_metrics)
BuildRequires:  golang(k8s.io/metrics/pkg/client/custom_metrics/scheme)
BuildRequires:  golang(k8s.io/metrics/pkg/client/external_metrics)
BuildRequires:  golang(k8s.io/sample-apiserver/pkg/admission/plugin/banflunder)
BuildRequires:  golang(k8s.io/sample-apiserver/pkg/admission/wardleinitializer)
BuildRequires:  golang(k8s.io/sample-apiserver/pkg/apis/wardle)
BuildRequires:  golang(k8s.io/sample-apiserver/pkg/apis/wardle/install)
BuildRequires:  golang(k8s.io/sample-apiserver/pkg/apis/wardle/v1alpha1)
BuildRequires:  golang(k8s.io/sample-apiserver/pkg/apis/wardle/v1beta1)
BuildRequires:  golang(k8s.io/sample-apiserver/pkg/apis/wardle/validation)
BuildRequires:  golang(k8s.io/sample-apiserver/pkg/apiserver)
BuildRequires:  golang(k8s.io/sample-apiserver/pkg/client/clientset/internalversion)
BuildRequires:  golang(k8s.io/sample-apiserver/pkg/client/clientset/internalversion/scheme)
BuildRequires:  golang(k8s.io/sample-apiserver/pkg/client/clientset/internalversion/typed/wardle/internalversion)
BuildRequires:  golang(k8s.io/sample-apiserver/pkg/client/clientset/internalversion/typed/wardle/internalversion/fake)
BuildRequires:  golang(k8s.io/sample-apiserver/pkg/client/clientset/versioned)
BuildRequires:  golang(k8s.io/sample-apiserver/pkg/client/clientset/versioned/scheme)
BuildRequires:  golang(k8s.io/sample-apiserver/pkg/client/clientset/versioned/typed/wardle/v1alpha1)
BuildRequires:  golang(k8s.io/sample-apiserver/pkg/client/clientset/versioned/typed/wardle/v1alpha1/fake)
BuildRequires:  golang(k8s.io/sample-apiserver/pkg/client/clientset/versioned/typed/wardle/v1beta1)
BuildRequires:  golang(k8s.io/sample-apiserver/pkg/client/clientset/versioned/typed/wardle/v1beta1/fake)
BuildRequires:  golang(k8s.io/sample-apiserver/pkg/client/informers/externalversions/internalinterfaces)
BuildRequires:  golang(k8s.io/sample-apiserver/pkg/client/informers/externalversions/wardle)
BuildRequires:  golang(k8s.io/sample-apiserver/pkg/client/informers/externalversions/wardle/v1alpha1)
BuildRequires:  golang(k8s.io/sample-apiserver/pkg/client/informers/externalversions/wardle/v1beta1)
BuildRequires:  golang(k8s.io/sample-apiserver/pkg/client/informers/internalversion)
BuildRequires:  golang(k8s.io/sample-apiserver/pkg/client/informers/internalversion/internalinterfaces)
BuildRequires:  golang(k8s.io/sample-apiserver/pkg/client/informers/internalversion/wardle)
BuildRequires:  golang(k8s.io/sample-apiserver/pkg/client/informers/internalversion/wardle/internalversion)
BuildRequires:  golang(k8s.io/sample-apiserver/pkg/client/listers/wardle/internalversion)
BuildRequires:  golang(k8s.io/sample-apiserver/pkg/client/listers/wardle/v1alpha1)
BuildRequires:  golang(k8s.io/sample-apiserver/pkg/client/listers/wardle/v1beta1)
BuildRequires:  golang(k8s.io/sample-apiserver/pkg/cmd/server)
BuildRequires:  golang(k8s.io/sample-apiserver/pkg/registry)
BuildRequires:  golang(k8s.io/sample-apiserver/pkg/registry/wardle/fischer)
BuildRequires:  golang(k8s.io/sample-apiserver/pkg/registry/wardle/flunder)
BuildRequires:  golang(k8s.io/sample-cli-plugin/pkg/cmd)
BuildRequires:  golang(k8s.io/sample-controller/pkg/apis/samplecontroller)
BuildRequires:  golang(k8s.io/sample-controller/pkg/apis/samplecontroller/v1alpha1)
BuildRequires:  golang(k8s.io/sample-controller/pkg/client/clientset/versioned)
BuildRequires:  golang(k8s.io/sample-controller/pkg/client/clientset/versioned/scheme)
BuildRequires:  golang(k8s.io/sample-controller/pkg/client/clientset/versioned/typed/samplecontroller/v1alpha1)
BuildRequires:  golang(k8s.io/sample-controller/pkg/client/clientset/versioned/typed/samplecontroller/v1alpha1/fake)
BuildRequires:  golang(k8s.io/sample-controller/pkg/client/informers/externalversions)
BuildRequires:  golang(k8s.io/sample-controller/pkg/client/informers/externalversions/internalinterfaces)
BuildRequires:  golang(k8s.io/sample-controller/pkg/client/informers/externalversions/samplecontroller)
BuildRequires:  golang(k8s.io/sample-controller/pkg/client/informers/externalversions/samplecontroller/v1alpha1)
BuildRequires:  golang(k8s.io/sample-controller/pkg/client/listers/samplecontroller/v1alpha1)
BuildRequires:  golang(k8s.io/sample-controller/pkg/signals)
BuildRequires:  golang(k8s.io/utils/exec)
BuildRequires:  golang(k8s.io/utils/exec/testing)
BuildRequires:  golang(k8s.io/utils/pointer)
BuildRequires:  golang(sigs.k8s.io/yaml)
BuildRequires:  golang(vbom.ml/util/sortorder)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/go-openapi/loads)
BuildRequires:  golang(github.com/onsi/ginkgo/types)
BuildRequires:  golang(github.com/vmware/govmomi/lookup/simulator)
BuildRequires:  golang(github.com/vmware/govmomi/simulator)
BuildRequires:  golang(github.com/vmware/govmomi/simulator/vpx)
BuildRequires:  golang(github.com/vmware/govmomi/sts/simulator)
BuildRequires:  golang(github.com/vmware/govmomi/vapi/simulator)
BuildRequires:  golang(k8s.io/apiextensions-apiserver/pkg/apis/apiextensions/fuzzer)
BuildRequires:  golang(k8s.io/apimachinery/pkg/api/apitesting/roundtrip)
BuildRequires:  golang(k8s.io/apimachinery/pkg/apis/testapigroup/fuzzer)
BuildRequires:  golang(k8s.io/apimachinery/pkg/runtime/serializer/testing)
BuildRequires:  golang(k8s.io/apimachinery/pkg/runtime/serializer/yaml)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/strategicpatch/testing)
BuildRequires:  golang(k8s.io/apiserver/pkg/admission/plugin/webhook/testing)
BuildRequires:  golang(k8s.io/apiserver/pkg/apis/audit/fuzzer)
# BuildRequires:  golang(k8s.io/apiserver/pkg/apis/example/fuzzer)
# BuildRequires:  golang(k8s.io/apiserver/pkg/apis/example/install)
BuildRequires:  golang(k8s.io/apiserver/pkg/endpoints/openapi/testing)
BuildRequires:  golang(k8s.io/apiserver/pkg/endpoints/testing)
BuildRequires:  golang(k8s.io/apiserver/pkg/registry/generic/testing)
BuildRequires:  golang(k8s.io/apiserver/pkg/storage/tests)
BuildRequires:  golang(k8s.io/apiserver/plugin/pkg/audit/fake)
BuildRequires:  golang(k8s.io/apiserver/plugin/pkg/authenticator/token/tokentest)
BuildRequires:  golang(k8s.io/client-go/scale/fake)
BuildRequires:  golang(k8s.io/client-go/tools/cache/testing)
BuildRequires:  golang(k8s.io/csi-api/pkg/client/clientset/versioned/fake)
BuildRequires:  golang(k8s.io/kube-aggregator/pkg/client/clientset_generated/internalclientset/fake)
BuildRequires:  golang(k8s.io/metrics/pkg/client/clientset/versioned/fake)
BuildRequires:  golang(k8s.io/metrics/pkg/client/custom_metrics/fake)
BuildRequires:  golang(k8s.io/metrics/pkg/client/external_metrics/fake)
BuildRequires:  golang(k8s.io/sample-apiserver/pkg/apis/wardle/fuzzer)
BuildRequires:  golang(k8s.io/sample-controller/pkg/client/clientset/versioned/fake)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep
rm -rf staging
%autopatch -p1
find . -name "*.go" -exec sed -i "s|github.com/coreos/etcd|go.etcd.io/etcd|" "{}" +;
find . -name "*.go" -exec sed -i "s|github.com/codedellemc/goscaleio|github.com/thecodeteam/goscaleio|" "{}" +;
find . -name "*.go" -exec sed -i "s|github.com/russross/blackfriday|gopkg.in/russross/blackfriday.v1|" "{}" +;

# %%build
# for cmd in cmd/* ; do
#   %%gobuild -o %%{gobuilddir}/bin/$(basename $cmd) %%{goipath}/$cmd
# done

%install
%gopkginstall
# install -m 0755 -vd                     %%{buildroot}%%{_bindir}
# install -m 0755 -vp %%{gobuilddir}/bin/* %%{buildroot}%%{_bindir}/

%if %{with check}
%check
# pkg/storage/value/encrypt/envelope: Needs KMS server
%if %{with bootstrap}
%gocheck -t cmd \
         -d pkg/volume/glusterfs \
         -d k8s.io/kubernetes/pkg/volume/portworx \
         -d k8s.io/kubernetes/pkg/controller/podautoscaler \
         -d pkg/storage/value/encrypt/envelope \
         -d pkg/cloudprovider/providers/photon \
         -d pkg/cloudprovider/providers/vsphere \
         -d pkg/controller/podautoscaler/metrics \
         -d pkg/kubeapiserver/options \
         -d pkg/kubelet/dockershim/network/cni \
         -d pkg/kubelet/cm/devicemanager \
         -d pkg/kubelet/dockershim/network/kubenet \
         -d pkg/master \
         -d pkg/cloudprovider/providers/aws \
         -d pkg/kubelet/kuberuntime \
         -d pkg/volume/csi \
         -d pkg/volume/photon_pd \
         -d test/e2e \
         -d test/e2e_kubeadm \
         -d test/e2e_node \
         -t test/integration
%else
%gocheck -t cmd \
         -d pkg/storage/value/encrypt/envelope \
         -d pkg/cloudprovider/providers/photon \
         -d pkg/cloudprovider/providers/vsphere \
         -d pkg/kubeapiserver/options \
         -d pkg/kubelet/dockershim/network/cni \
         -d pkg/kubelet/cm/devicemanager \
         -d pkg/kubelet/dockershim/network/kubenet \
         -d pkg/master \
         -d pkg/cloudprovider/providers/aws \
         -d pkg/kubelet/kuberuntime \
         -d pkg/volume/csi \
         -d pkg/volume/photon_pd \
         -d test/e2e_kubeadm \
         -d test/e2e_node \
         -t test/integration
%endif
%endif

# %%files
# %%license LICENSE
# %%doc docs CONTRIBUTING.md code-of-conduct.md CHANGELOG-1.13.md CHANGELOG.md
# %%doc README.md SUPPORT.md
# %%{_bindir}/*

%gopkgfiles

%changelog
* Fri May 10 19:55:52 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.13.7-1.beta.0
- Initial package
